Subject: Re: bug#79023: 30.1.90; Suspicion of memory leak on internal_redisplay (MacOS)

From: Eli Zaretskii <[email-masked]>
Date: Wed, 16 Jul 2025 14:08:13 +0300

> From: Przemysław Alexander Kamiński
>  <[email-masked]>
> Cc: [email-masked]
> Date: Tue, 15 Jul 2025 15:52:20 +0200
> 
> I've done some extra testing, since I wouldn't be surprised if some release on a string was missing or something. On a fresh instance blinking cursor is enough to raise memory usage. 10mb over 4.5mb and garbage- didn't releaes memory.

Please describe this recipe in more detail, starting from "emacs -Q",
so others could try repeating it.  Also, please describe how you
measure the memory leaks and what are the numbers you see.

> I think I can reproduce test case and even think what might be the cause, as I looked around MacOS code for couple of minutes.

Please do, and thanks.